Index: testsuites/samples/ChangeLog
===================================================================
--- testsuites/samples/ChangeLog	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/ChangeLog	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -1,2 +1,9 @@
+2009-08-12	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* cdtest/main.cc, fileio/init.c, fileio/system.h, pppd/pppdapp.c,
+	ticker/system.h, ticker/tasks.c: Eliminate test routines
+	TICKS_PER_SECOND and get_ticks_per_second() in favor of new
+	rtems_clock_get_ticks_per_second().
+
 2009-08-10	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: testsuites/samples/cdtest/main.cc
===================================================================
--- testsuites/samples/cdtest/main.cc	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/cdtest/main.cc	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -153,5 +153,5 @@
 #endif
     bar = blech;
-    rtems_task_wake_after( 5 * get_ticks_per_second() );
+    rtems_task_wake_after( 5 * rtems_clock_get_ticks_per_second() );
 }
 
@@ -212,5 +212,5 @@
     }
     printf( "Exceptions are working properly.\n" );
-    rtems_task_wake_after( 5 * get_ticks_per_second() );
+    rtems_task_wake_after( 5 * rtems_clock_get_ticks_per_second() );
     printf( "Global Dtors should be called after this line....\n" );
     exit(0);
Index: testsuites/samples/fileio/init.c
===================================================================
--- testsuites/samples/fileio/init.c	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/fileio/init.c	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -297,5 +297,5 @@
     close(fd);
 
-    rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticks_per_sec);
+    ticks_per_sec = rtems_clock_get_ticks_per_second();
     printf("time elapsed for read:  %g seconds\n",
 	   ((double)curr_tick-start_tick)/ticks_per_sec);
@@ -362,5 +362,5 @@
    * get number of ticks per second
    */
-  rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticks_per_sec);
+  ticks_per_sec = rtems_clock_get_ticks_per_second();
 
   /*
@@ -521,5 +521,5 @@
    * get number of ticks per second
    */
-  rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &ticks_per_sec);
+  ticks_per_sec = rtems_clock_get_ticks_per_second();
 
   /*
Index: testsuites/samples/fileio/system.h
===================================================================
--- testsuites/samples/fileio/system.h	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/fileio/system.h	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -102,14 +102,4 @@
 
 /*
- *  static inline routine to make obtaining ticks per second easier.
- */
-
-static inline uint32_t   get_ticks_per_second( void )
-{
-  return rtems_clock_get_ticks_per_second();
-}
-
-
-/*
  *  This allows us to view the "Test_task" instantiations as a set
  *  of numbered tasks by eliminating the number of application
Index: testsuites/samples/pppd/pppdapp.c
===================================================================
--- testsuites/samples/pppd/pppdapp.c	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/pppd/pppdapp.c	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -91,5 +91,5 @@
 
   /* initialize ticks per second */
-  rtems_clock_get(RTEMS_CLOCK_GET_TICKS_PER_SECOND, &tickspersecond);
+  tickspersecond = rtems_clock_get_ticks_per_second();
   if ( tickspersecond == 0 ) {
     /* ensure value is greater than zero */
Index: testsuites/samples/ticker/system.h
===================================================================
--- testsuites/samples/ticker/system.h	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/ticker/system.h	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -4,5 +4,5 @@
  *  function in the test set.
  *
- *  COPYRIGHT (c) 1989-2008.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -90,13 +90,4 @@
 
 /*
- *  static inline routine to make obtaining ticks per second easier.
- */
-
-static inline uint32_t   get_ticks_per_second( void )
-{
-  return rtems_clock_get_ticks_per_second();
-}
-
-/*
  *  This allows us to view the "Test_task" instantiations as a set
  *  of numbered tasks by eliminating the number of application
Index: testsuites/samples/ticker/tasks.c
===================================================================
--- testsuites/samples/ticker/tasks.c	(revision c9460e17ede95c5025d3355e0b5dab61aff050a5)
+++ testsuites/samples/ticker/tasks.c	(revision 99f0971146d4e621dbb7e242d7f5e3eb382a5ff9)
@@ -8,5 +8,5 @@
  *  Output parameters:  NONE
  *
- *  COPYRIGHT (c) 1989-1999.
+ *  COPYRIGHT (c) 1989-2009.
  *  On-Line Applications Research Corporation (OAR).
  *
@@ -39,5 +39,6 @@
     put_name( Task_name[ task_index ], FALSE );
     print_time( " - rtems_clock_get_tod - ", &time, "\n" );
-    status = rtems_task_wake_after( task_index * 5 * get_ticks_per_second() );
+    status = rtems_task_wake_after(
+      task_index * 5 * rtems_clock_get_ticks_per_second() );
   }
 }
